curl --request POST \
--url https://api.birdeye.com/resources/v1/google-services/service/create \
--header 'Content-Type: application/json' \
--data '
{
"name": "Customer Service",
"currencyCode": "USD",
"price": 100.5,
"description": "We provide 24x7 customer service",
"group": "Hair Care",
"duration": 90
}
'import requests
url = "https://api.birdeye.com/resources/v1/google-services/service/create"
payload = {
"name": "Customer Service",
"currencyCode": "USD",
"price": 100.5,
"description": "We provide 24x7 customer service",
"group": "Hair Care",
"duration": 90
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Customer Service',
currencyCode: 'USD',
price: 100.5,
description: 'We provide 24x7 customer service',
group: 'Hair Care',
duration: 90
})
};
fetch('https://api.birdeye.com/resources/v1/google-services/service/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serviceId": "SERV10021056"
}{
"code": 2493,
"message": "Duplicate Google Service is not allowed"
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Create Service
Headers
e.g. application/json
e.g. 2uiHKCTi8hSg35MG75aaot0B2SAokhjk (string, required) - Partner specific API key provided by Birdeye for data exchange.
Query Parameters
Id of the account
Body
Service name (1–140 characters)
currency code of the paid service
price of the paid service
Max 300 characters
A logical grouping label for related services ; Used internally to categorize services under a common group name ; if not provided ; the service will remain uncategorized ; Note: This field is not synced to Google ; minimum 3 character ; maximum 64 characters
The expected length of time for the service ; expressed in minutes ; Used internally ; Optional ; if not provided ; no default duration will be set. Note: This field is not synced to Google; minimum 1 ; maximum 9999 minutes
Response
OK
Unique service identifier

